Subject: bug#19049: 25.0.50; emacs-repository-get-version doesn't work with git

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Nov 2014 16:47:26 +0200

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 14 Nov 2014 15:12:02 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > To the wrong branch again.  Please backport this to the emacs-24
> > branch.
> 
> I would if I knew how.

Just commit the same changes to the branch and mention "backported" in
the commit message.

> admin/repo says
> 
> ----
> 
> * Backporting a bug-fix from the trunk to a branch (e.g. "emacs-24").
> 
> Indicate in the commit log that there is no need to merge the commit
> to the trunk, e.g. start the commit message with "Backport:".  This is
> helpful for the person merging the release branch to the trunk.
> 
> http://lists.gnu.org/archive/html/emacs-devel/2010-05/msg00262.html
> 
> * How to merge changes from emacs-24 to trunk
> 
> [The section on git merge procedure has not yet been written]
> 
> ----
> 
> neither of which helps, and the Emacs for Git Devs wiki doesn't say how
> to cherry-pick stuff, either.

Where were you 10 months ago, when I wrote that this is what will
happen, if the instructions are left at what was written back then?

If some of those who are mightily confused now, as I predicted they
will be, supported what I said back then, perhaps we could have had
enough leverage to insist on better write-ups.  But nooo! everyone who
cared to reply claimed that this is all either obvious or too personal
to describe, and some even said I'm a "bullshitter".

Now you-all get to learn this stuff the hard way.